### Method

# PapersView JobLoad set_fd

since: 46.0

#### Declaration [src]

    gboolean
    pps_job_load_set_fd (
      PpsJobLoad* job,
      int fd,
      const char* mime_type,
      GError** error
    )

#### Description [src]

Sets `fd` as the file descriptor in `job`. If duplicating `fd` fails, returns `FALSE` with `error` filled in.

It is an error to call this function if uri is set for the job.

Available since: 46.0

#### Parameters

`fd`

  Type: `int`

  A file descriptor.

`mime_type`

  Type: `const char*`

  The mime type of the file descriptor.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file descriptor could be set.